Subject: Re: [AVTCORE] [Technical Errata Reported] RFC4867 (4349)

From: Magnus Westerlund <[email-masked]>
Date: Mon, 4 Apr 2016 14:39:07 -0300

WG,

I am co-author of this document. If there are any controversy around the 
consensus here I will let my co-chair or the AD judge that.

However, the WG should progress this Errata. It has been created due to 
actual interoperability issues that has been discussed in 3GPP SA4. From 
my perspective the errata also represents the intention of the document. 
Thus I propose that this errata is verified. Please provide any feedback 
by the 18th of April.

Cheers

Magnus Westerlund

Den 2015-04-27 kl. 12:57, skrev RFC Errata System:
> The following errata report has been submitted for RFC4867,
> "RTP Payload Format and File Storage Format for the Adaptive Multi-Rate (AMR) and Adaptive Multi-Rate Wideband (AMR-WB) Audio Codecs".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=4867&eid=4349
>
> --------------------------------------
> Type: Technical
> Reported by: Thomas Belling <[email-masked]>
>
> Section: 8.1
>
> Original Text
> -------------
>        mode-set: Restricts the active codec mode set to a subset of all
>                 modes, for example, to be able to support transport
>                 channels such as GSM networks in gateway use cases.
>                 Possible values are a comma separated list of modes from
>                 the set: 0,...,7 (see Table 1a [2]).  The SID frame type
>                 8 and NO_DATA (frame type 15) are never included in the
>                 mode set, but can always be used.  If mode-set is
>                 specified, it MUST be abided, and frames encoded with
>                 modes outside of the subset MUST NOT be sent in any RTP
>                 payload or used in codec mode requests.  If not present,
>                 all codec modes are allowed for the payload type.
>
>
> Corrected Text
> --------------
>        mode-set: Restricts the active codec mode set to a subset of all
>                 modes, for example, to be able to support transport
>                 channels such as GSM networks in gateway use cases.
>                 Possible values are a comma separated list of modes from
>                 the set: 0,...,7 (see Table 1a [2]).  The SID frame type
>                 8 and NO_DATA (frame type 15) are never included in the
>                 mode set, but can always be used.  If mode-set is
>                 specified, it MUST be abided, i.e. frames encoded with
>                 modes outside of the subset MUST NOT be sent in any RTP
>                 payload and codec mode requests MUST only use modes
>                 within the mode-set or CMR=15. If the mode-set parameter
>                 is not present, then all codec modes are allowed for the
>                 payload type.
>
>
> Notes
> -----
> The existing text rules out that CMR=15 is used when a mode-set has
been negotiated. However, this contradicts a statement in .clause 4.3.1
that if a terminal has no preference in which mode to receive, it SHOULD
set CMR=15 in all its outbound payloads.
>
> This erratum has been discussed and endorsed by the 3GPP SA4 group
before submission to IETF.

> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC4867 (draft-ietf-avt-rtp-amr-bis-06)
> --------------------------------------
> Title               : RTP Payload Format and File Storage Format for the Adaptive Multi-Rate (AMR) and Adaptive Multi-Rate Wideband (AMR-WB) Audio Codecs
> Publication Date    : April 2007
> Author(s)           : J. Sjoberg, M. Westerlund, A. Lakaniemi, Q. Xie
> Category            : PROPOSED STANDARD
> Source              : Audio/Video Transport
> Area                : Real-time Applications and Infrastructure
> Stream              : IETF
> Verifying Party     : IESG
>
>

-- 

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------

---

From: Magnus Westerlund <[email-masked]>
Date: Wed, 6 Apr 2016 17:08:29 -0300

Payload,

I should have included you from start. Please provide any input on this 
Errata as its relate to an RTP Payload format.

Cheers

Magnus Westerlund
(AVTCORE WG chair)

Den 2016-04-04 kl. 14:39, skrev Magnus Westerlund:
>> "RTP Payload Format and File Storage Format for the Adaptive
>> Multi-Rate (AMR) and Adaptive Multi-Rate Wideband (AMR-WB) Audio Codecs".
>>
>> Title               : RTP Payload Format and File Storage Format for
>> the Adaptive Multi-Rate (AMR) and Adaptive Multi-Rate Wideband
>> (AMR-WB) Audio Codecs

-- 

Magnus Westerlund